libzypp: zyppng::detail::FirstOfHelper< Transformation, Predicate, DefaultType > Struct Template Reference

libzypp 17.38.15

zyppng::detail::FirstOfHelper< Transformation, Predicate, DefaultType > Struct Template Reference

`#include <zypp-core/ng/pipelines/algorithm.h>`

## Public Member Functions
| FirstOfHelper (Transformation transFunc, DefaultType defaultVal, Predicate predicate)
template<class Container, typename ... CArgs>
auto | operator() (Container &&container)

## Private Attributes
Transformation | _transFunc
DefaultType | _defaultVal
Predicate | _predicate

## Detailed Description

template<class Transformation, class Predicate, class DefaultType>
struct zyppng::detail::FirstOfHelper< Transformation, Predicate, DefaultType >

Definition at line 63 of file algorithm.h.

## Constructor & Destructor Documentation

## ◆ FirstOfHelper()

template<class Transformation, class Predicate, class DefaultType>

zyppng::detail::FirstOfHelper< Transformation, Predicate, DefaultType >::FirstOfHelper | ( | Transformation | transFunc,
|  | DefaultType | defaultVal,
|  | Predicate | predicate )
| inline

Definition at line 65 of file algorithm.h.

## Member Function Documentation

## ◆ operator()()

template<class Transformation, class Predicate, class DefaultType>
template<class Container, typename ... CArgs>

auto zyppng::detail::FirstOfHelper< Transformation, Predicate, DefaultType >::operator() | ( | Container && | container | ) |
| inline

Definition at line 72 of file algorithm.h.

## Member Data Documentation

## ◆ _transFunc

template<class Transformation, class Predicate, class DefaultType>

Transformation zyppng::detail::FirstOfHelper< Transformation, Predicate, DefaultType >::_transFunc
| private

Definition at line 78 of file algorithm.h.

## ◆ _defaultVal

template<class Transformation, class Predicate, class DefaultType>

DefaultType zyppng::detail::FirstOfHelper< Transformation, Predicate, DefaultType >::_defaultVal
| private

Definition at line 79 of file algorithm.h.

## ◆ _predicate

template<class Transformation, class Predicate, class DefaultType>

Predicate zyppng::detail::FirstOfHelper< Transformation, Predicate, DefaultType >::_predicate
| private

Definition at line 80 of file algorithm.h.

The documentation for this struct was generated from the following file:

- zypp-core/ng/pipelines/algorithm.h